Video API, REST: Video.RenewSource
Renews video source data for further upload.
This method is not applicable to videos in WAIT_UPLOADING and PROCESSING statuses.
Returns an operation which restores the previously uploaded video source upon cancellation.
HTTP request
POST https://video.api.yandexcloud.kz/video/v1/videos/{videoId}:renewSource
Path parameters
|
Field |
Description |
|
videoId |
string Required field. ID of the video. The maximum string length in characters is 50. |
Body parameters
{
// Includes only one of the fields `tusd`
"tusd": {
"fileSize": "string",
"fileName": "string",
"isDeferred": "boolean"
},
// end of the list of possible fields
"autoTranscode": "string"
}
|
Field |
Description |
|
tusd |
Upload video using the TUS (Tus Resumable Upload Protocol) protocol. Includes only one of the fields Specifies the video upload source method (exactly one must be chosen). |
|
autoTranscode |
enum (AutoTranscode) New auto-transcoding setting for the video.
|
VideoTUSDParams
|
Field |
Description |
|
fileSize |
string (int64) Total size of the file to be uploaded, in bytes. The minimum value is 0. |
|
fileName |
string Original name of the file being uploaded. |
|
isDeferred |
boolean Defer upload file size. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |